Compilation Problem



  • Hello guys,I am very new in QT.And in installed QT 5.0..When i try to build a project then it says that "QT needs a compiler for building"....Plz help..



  • Hi,
    please, provide some details: on which OS you have installed the Qt?


  • Moderators

    Do you have a compiler installed? If on windows: Is that the same compiler used to build Qt originally?



  • hii even i got the same problem
    it shows the error like" error: Qt Creator needs a compiler set up to build. Configure a compiler in the kit options.""
    i use windows7 32 bit
    what compiler should i use
    please rectify my problem



  • Check Tools-->Options...-->Build & Run-->Tool Chains

    Do you see any Tool chain listed there?

    If not, then install msvc or mingw.



  • Hi everybody I'm facing a problem while compiling regarding the vs tool kit.
    I have installed QT5.0 and additional installation of vs2010...
    I have added this tool in the tool chains even they it is showing a error that qmake file is not there...
    I have installed qt in windows 7(32bit)..
    please rectify my problem



  • do we need to install this additional tools in linux operating system also or by default it provides any compiler??



  • This is the error im getting when i run my program
    """qtcreator_ctrlc_stub: Command line failed: mingw32-make.exe -w
    15:07:38: The process "mingw32-make.exe" crashed.
    Error while building/deploying project 2dpainting (kit: Desktop Qt 5.0.0-rc1 MSVC2010 32bit (SDK))
    When executing step 'Make'""""



  • Have you added a kit manually "Check Tools—>Options…—>Build & Run—>Kits"? This new with Qt Creator 2.6.1 comes with Qt 5.0.0. Without setting this you can not build. After adding a kit, use this for individual project settings.



  • santhosh
    You try build Desktop Qt 5.0.0-rc1 MSVC2010 32bit (SDK) project with MinGW. However for now Qt 5.0.0 SDK for windows supports only MSVC2010 builds. You should install Windows SDK 7.1.

    but if you need MinGW build look at "http://qt-project.org/forums/viewthread/23002/":http://qt-project.org/forums/viewthread/23002/



  • If you use SDK for linux i think g++ 4.7 will be enough.
    But for building Qt you need:
    "http://qt-project.org/wiki/Building_Qt_5_from_Git":http://qt-project.org/wiki/Building_Qt_5_from_Git



  • Hii while I'm trying to install QT(.run) file in linux it is showing an error that ""floating point exception""...

    And one more thing Can u please provide me the complete installation steps for installing qt in linux-redhat 5.5 version....
    Please rectify my problem.



  • Correct me if i mistake. As i know installation binaries are tested only for ubuntu/kubuntu, for other OS's you should rebuild it yourself.



  • Hii while I’m trying to install QT(.run) file in linux(redhat-5.5) it is showing an error that ““floating point exception”“…

    And one more thing Can u please provide me the complete installation steps for installing qt in linux-redhat 5.5 version….
    Please rectify my problem.



  • hi guy....

    am new to QT.

    i have installed QT 5.0 MVSC 2010 on Windows 7 ultimate 32-bit edition (i3 processor/500GB HDD/4GB ram), from the link mentioned below

    http://releases.qt-project.org/qt5/5.0.0/qt-windows-opensource-5.0.0-msvc2010_32-x86-offline.exe

    after that i configured path=C:\Qt\Qt5.0.0\5.0.0\msvc2010\bin;C:\Qt\Qt5.0.0\Tools\QtCreator\bin

    after that i started checking the 'qmake' command through command prompt ..

    qmake -project ----(command working through cmd)
    qmake -----(command working )
    qmake main.cpp ------(command working)
    make (its not working, showing that 'make' is not recognized command, )

    i have searched for make in the installation dir's for make.exe , its not there. . .(if u people know any path mention here pls)

    -----------GUI-----

    the same thing happens through cmd, had happened through GUI..
    opened QT-gui
    tried to build and run the project (sample hello prog)
    the same error --

    09:02:04: Running steps for project QtHelloWorld...
    09:02:04: Configuration unchanged, skipping qmake step.
    09:02:04: Configuration is faulty. Check the Issues view for details.
    Error while building/deploying project QtHelloWorld (kit: Desktop Qt 5.0.0-rc1 MSVC2010 32bit (SDK))
    When executing step 'Make'


    should i install one more compiler ?
    how i can install the other compiler?
    i have a installed QT 5.0 MVSC 2010...they would have provided some compiler for the s/w
    is there any mistakes in path settings ?
    should i install visual studio 2010 ?


    what i did i mentioned here clearly ...so please help to solve my problem ....


  • Moderators

    santhosh: No, the MSVC-based Qt 5 packages do NOT include a compiler. MSVC is copyright by microsoft and the Qt project can not redistribute it, so you have to get and install it separately. Any MSVC2010 installation will suffice, either the free-of-charge visual studio express edition, the full visual studio or the WinSDK 7 should work.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.